%define _mozillapath    %{_libdir}/mozilla/plugins

%define build_debug 0
%{?_with_debug: %{expand: %%global build_debug 1}}
%{?_without_debug: %{expand: %%global build_debug 0}}

Name:           mozplugger
Version:        1.8.0
Release:        1mdk
Summary:        Generic mozilla plug-in 
License:        GPL
Group:          Networking/WWW
Source0:        http://mozplugger.mozdev.org/files/mozplugger-%{version}.tar.bz2
Source1:        http://umn.dl.sourceforge.net/sourceforge/mplayerplug-in/mini.tar.bz2
Source2:        mozmimetypes-1.4.1.tar.bz2
Patch0:		mozplugger-1.7.4-ooo64native.patch
URL:            http://mozplugger.mozdev.org/
Obsoletes:      plugger
Provides:       plugger
Requires:       mikmod
Requires:       mpg123
Requires:       sox
Requires:       ImageMagick
Requires:       gqview
Requires:       mplayer >= 0.90-0.rc4
Requires:       perl-base
Requires:       TiMidity++
%if %mdkversion >= 1020
Requires:       gv >= 3.6.1
%else
Requires:       gv
%endif
Requires:       xpdf
Requires:       m4
BuildRequires:  XFree86-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
MozPlugger is a generic Mozilla plug-in that allows the use of standard Linux
programs as plug-ins for media types on the Internet.

%prep
%setup -q -a 1 -a 2
%ifarch x86_64
%patch0 -p1 -b .64
%endif

%build
%if %{build_debug}
%{make} RPM_OPT_FLAGS="%{optflags} -DDEBUG" XLIBDIR="%{_usr}/X11R6/%{_lib}" linux
%else
%{make} RPM_OPT_FLAGS="%{optflags}" XLIBDIR="%{_usr}/X11R6/%{_lib}" linux
%endif

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_mozillapath}/plugins \
        %{buildroot}%{_libdir}/netscape/plugins \
        %{buildroot}%{_bindir} \
        %{buildroot}%{_sysconfdir} \
        %{buildroot}%{_mandir}/man7 \
        %{buildroot}%{_datadir}/mplayer/Skin/mini

%{__install} -p -m 755 mozplugger-helper %{buildroot}%{_bindir}
%{__install} -p -m 755 mozplugger-controller %{buildroot}%{_bindir}
%{__install} -p -m 755 mozplugger.so %{buildroot}%{_mozillapath}
%{__install} -p -m 644 mozpluggerrc %{buildroot}%{_sysconfdir}/mozpluggerrc
%{__install} -p -m 644 mozpluggerrc %{buildroot}%{_sysconfdir}/mozpluggerrc.default
%{__install} -p -m 644 mozplugger.7 %{buildroot}%{_mandir}/man7

%{__mkdir_p} %{buildroot}%{_mozillapath}
%{__ln_s} %{_mozillapath}/mozplugger.so \
         %{buildroot}%{_libdir}/netscape/plugins/mozplugger.so
%{__install} -p -m 644 mini/*.png mini/skin mini/VERSION mini/README \
        %{buildroot}%{_datadir}/mplayer/Skin/mini/

%{__install} -p -m 755 enable_mozmimetypes %{buildroot}%{_bindir}
%{__ln_s} ./enable_mozmimetypes %{buildroot}%{_bindir}/disable_mozmimetypes

%{__install} -p -m 755 mozpluggerrc-sanitize %{buildroot}%{_bindir}
%{__perl} -pi -e \
        "s|\@LIBDIR\@|%{_libdir}|g;\
         s|\@SYSCONFDIR\@|%{_sysconfdir}|g;\
         s|\@PLUGINDIR\@|%{_mozillapath}|g;\
         s|\@BINDIR\@|%{_bindir}|g;" \
                %{buildroot}%{_bindir}/mozpluggerrc-sanitize

%if %build_debug
export DONT_STRIP=1
%endif

%clean
%{__rm} -rf %{buildroot}


%triggerin -- acroread-nppdf
[ "$2" -ge 1 ] || exit 0
if [ -r %{_sysconfdir}/mozpluggerrc ]; then
        if [ -x %{_bindir}/disable_mozmimetypes ]; then
                %{_bindir}/disable_mozmimetypes %{_sysconfdir}/mozpluggerrc \
                        application/pdf application/x-pdf
                touch %{_mozillapath}/mozplugger.so
        fi
fi

%triggerun -- acroread-nppdf
[ "$2" = "0" ] || exit 0
if [ -r %{_sysconfdir}/mozpluggerrc ]; then
        if [ -x %{_bindir}/enable_mozmimetypes ]; then
                %{_bindir}/enable_mozmimetypes %{_sysconfdir}/mozpluggerrc \
                        application/pdf application/x-pdf
                touch %{_mozillapath}/mozplugger.so
        fi
fi

%triggerpostun -- acroread-nppdf
[ "$2" = "0" ] || exit 0
if [ -r %{_sysconfdir}/mozpluggerrc ]; then
        if [ -x %{_bindir}/enable_mozmimetypes ]; then
                %{_bindir}/enable_mozmimetypes %{_sysconfdir}/mozpluggerrc \
                        application/pdf application/x-pdf
                touch %{_mozillapath}/mozplugger.so
        fi
fi

%triggerin -- RealPlayer-rpnp
[ "$2" -ge 1 ] || exit 0
if [ -r %{_sysconfdir}/mozpluggerrc ]; then
        if [ -x %{_bindir}/disable_mozmimetypes ]; then
                %{_bindir}/disable_mozmimetypes %{_sysconfdir}/mozpluggerrc \
                        audio/x-pn-realaudio-plugin
                touch %{_mozillapath}/mozplugger.so
        fi
fi

%triggerun -- RealPlayer-rpnp
[ "$2" = "0" ] || exit 0
if [ -r %{_sysconfdir}/mozpluggerrc ]; then
        if [ -x %{_bindir}/enable_mozmimetypes ]; then
                %{_bindir}/enable_mozmimetypes %{_sysconfdir}/mozpluggerrc \
                        audio/x-pn-realaudio-plugin
                touch %{_mozillapath}/mozplugger.so
        fi
fi

%triggerpostun -- RealPlayer-rpnp
[ "$2" = "0" ] || exit 0
if [ -r %{_sysconfdir}/mozpluggerrc ]; then
        if [ -x %{_bindir}/enable_mozmimetypes ]; then
                %{_bindir}/enable_mozmimetypes %{_sysconfdir}/mozpluggerrc \
                        audio/x-pn-realaudio-plugin
                touch %{_mozillapath}/mozplugger.so
        fi
fi

%triggerin -- mplayerplugin
[ "$2" -ge 1 ] || exit 0
if [ -r %{_sysconfdir}/mozpluggerrc ]; then
        if [ -x %{_bindir}/disable_mozmimetypes ]; then
                %{_bindir}/disable_mozmimetypes %{_sysconfdir}/mozpluggerrc \
                        application/x-drm-v2 \
                        application/x-mplayer2 \
                        application/x-ogg \
                        application/x-quicktimeplayer \
                        application/x-ms-wmw \
                        application/x-nsv-vp3-mp3 \
                        audio/ogg \
                        audio/wav \
                        audio/x-ms-wax \
                        audio/x-ms-wma \
                        audio/x-wav \
                        video/anim \
                        video/dl \
                        video/fli \
                        video/mp4 \
                        video/mpeg \
                        video/msvideo \
                        video/quicktime \
                        video/sgi-movie \
                        video/x-anim \
                        video/x-dl \
                        video/x-fli \
                        video/x-mpeg \
                        video/x-mpeg2 \
                        video/x-ms-asf \
                        video/x-ms-asf-plugin \
                        video/x-msvideo \
                        video/x-ms-wm \
                        video/x-ms-wmv \
                        video/x-ms-wvx \
                        image/x-macpaint \
                        video/x-quicktime \
                        video/x-sgi-movie
                touch %{_mozillapath}/mozplugger.so
        fi
fi

%triggerun -- mplayerplugin
[ "$2" = "0" ] || exit 0
if [ -r %{_sysconfdir}/mozpluggerrc ]; then
        if [ -x %{_bindir}/enable_mozmimetypes ]; then
                %{_bindir}/enable_mozmimetypes %{_sysconfdir}/mozpluggerrc \
                        application/x-drm-v2 \
                        application/x-mplayer2 \
                        application/x-ogg \
                        application/x-quicktimeplayer \
                        application/x-ms-wmv \
                        application/x-nsv-vp3-mp3 \
                        audio/ogg \
                        audio/wav \
                        audio/x-ms-wax \
                        audio/x-ms-wma \
                        audio/x-wav \
                        video/anim \
                        video/dl \
                        video/fli \
                        video/mp4 \
                        video/mpeg \
                        video/msvideo \
                        video/quicktime \
                        video/sgi-movie \
                        video/x-anim \
                        video/x-dl \
                        video/x-fli \
                        video/x-mpeg \
                        video/x-mpeg2 \
                        video/x-ms-asf \
                        video/x-ms-asf-plugin \
                        video/x-msvideo \
                        video/x-ms-wm \
                        video/x-ms-wmv \
                        video/x-ms-wvx \
                        image/x-macpaint \
                        video/x-quicktime \
                        video/x-sgi-movie
                touch %{_mozillapath}/mozplugger.so
        fi
fi

%triggerpostun -- mplayerplugin
[ "$2" = "0" ] || exit 0
if [ -r %{_sysconfdir}/mozpluggerrc ]; then
        if [ -x %{_bindir}/enable_mozmimetypes ]; then
                %{_bindir}/enable_mozmimetypes %{_sysconfdir}/mozpluggerrc \
                        application/x-drm-v2 \
                        application/x-mplayer2 \
                        application/x-ogg \
                        application/x-quicktimeplayer \
                        application/x-ms-wmv \
                        application/x-nsv-vmp3-mp3 \
                        audio/ogg \
                        audio/wav \
                        audio/x-ms-wax \
                        audio/x-ms-wma \
                        audio/x-wav \
                        video/anim \
                        video/dl \
                        video/fli \
                        video/mp4 \
                        video/mpeg \
                        video/msvideo \
                        video/quicktime \
                        video/sgi-movie \
                        video/x-anim \
                        video/x-dl \
                        video/x-fli \
                        video/x-mpeg \
                        video/x-mpeg2 \
                        video/x-ms-asf \
                        video/x-ms-asf-plugin \
                        video/x-msvideo \
                        video/x-ms-wm \
                        video/x-ms-wmv \
                        video/x-ms-wvx \
                        image/x-macpaint \
                        video/x-quicktime \
                        video/x-sgi-movie
                touch %{_mozillapath}/mozplugger.so
        fi
fi

%triggerin -- gv >= 3.6.1
if %{__grep} -q  "gv -safer -quiet -antialias" %{_sysconfdir}/mozpluggerrc; then
        %{__perl} -pi -e "s/gv -safer -quiet -antialias/gv --safer --quiet --antialias/g" %{_sysconfdir}/mozpluggerrc
fi

%triggerin -- gv < 3.6.1
if %{__grep} "gv --safer --quiet --antialias" %{_sysconfdir}/mozpluggerrc; then
        %{__perl} -pi -e "s/gv --safer --quiet --antialias/gv -safer -quiet -antialias/g" %{_sysconfdir}/mozpluggerrc
fi

%files
%defattr(-,root,root)
%doc README COPYING
%{_bindir}/enable_mozmimetypes
%{_bindir}/disable_mozmimetypes
%{_bindir}/mozpluggerrc-sanitize
%{_bindir}/mozplugger-helper
%{_bindir}/mozplugger-controller
%{_datadir}/mplayer/Skin/mini
%{_libdir}/netscape/plugins/mozplugger.so
%{_mozillapath}/mozplugger.so
%{_mandir}/man7/mozplugger.7*
%config(noreplace) %{_sysconfdir}/mozpluggerrc
%config(noreplace) %{_sysconfdir}/mozpluggerrc.default


%changelog
* Fri Mar 02 2007 Giuseppe Ghibò <ghibo@mandriva.com> 1.8.0-1mdv2007.0
+ Revision: 130873
- Release 1.8.0.

* Thu Jan 18 2007 Giuseppe Ghibò <ghibo@mandriva.com> 1.7.4-2mdv2007.1
+ Revision: 110078
- Added new Patch0 for using 64bit native OOo with higher priority

  + David Walluck <walluck@mandriva.org>
    - remove Patch0 (merged upstream)
      use parallel make
      add macros
    - 1.7.4
    - Import mozplugger



* Wed Nov 02 2005 Giuseppe Ghib <ghibo@mandriva.com> 1.7.3-1mdk
- Release: 1.7.3.
- Merged Patches into Patch0.

* Mon Aug 29 2005 Giuseppe Ghib <ghibo@mandriva.com> 1.7.2-3mdk
- Rebuilt Patch2 (gv).
- Added Patch1 for kdvi call.

* Mon Aug 22 2005 Giuseppe Ghib <ghibo@mandriva.com> 1.7.2-2mdk
- mozmimetypes 1.4 (thanks to Pixel).

* Thu Apr 28 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.7.2-1mdk
- Release: 1.7.2.

* Tue Mar 28 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.7.1-7mdk
- Added support for Acrobat Reader 7.

* Mon Feb 14 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.7.1-6mdk
- Added m4 to Requires.

* Sat Jan 29 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.7.1-5mdk
- Disabled debug.

* Fri Jan 07 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.7.1-4mdk
- Added missed mozpluggerrc.default.

* Thu Jan 06 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.7.1-3mdk
- mozmimetypes-1.3.

* Thu Jan 06 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.7.1-2mdk
- Build with DEBUG enabled, for now.
- Added Patch0 for gv >= 3.6.1 (fix big #12911, from Michael Reinsch).
- mozmimetypes-1.2: added mozpluggerrc-sanitize script to
  allow sanitizing an out of sync mozpluggerrc config file with
  packages installed.

* Wed Jan 05 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.7.1-1mdk
- Release: 1.7.1.
- Removed Patch1-4, merged upstream.

* Fri Dec 30 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.7.0-2mdk
- Added CVS patches for correctly resizing acrobat windows.
- Added hxplay to RealPlayer mime-types.

* Mon Dec 27 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.7.0-1mdk
- Release: 1.7.0.
- Removed Patch1->7: merged upstream.

* Wed Dec 22 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.6.1-8mdk
- Backported patch from CVS for mozplugger-helper.c to
  have windows correctly maximized.

* Mon Dec 20 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.6.1-7mdk
- Backported patch from CVS to terminate the
  process with SIGTERM instead of SIGKILL.

* Sat Dec 18 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.6.1-6mdk
- Backported patch from CVS to fix flashing window problems during
  window swallowing.

* Tue Oct 14 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.6.1-5mdk
- Fixed bug #12082 for correctly swallowing Xpdf.

* Mon Oct 04 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.6.1-4mdk
- Added Patch2, backporting patches from 1.6.2 (return
  NPPERR_GENERIC_ERROR in NPP_NewStream() when streaming; removed
  unnecessary calls to XSync and XMapWindow(); more reliable
  OpenOffice swallowing).

* Mon Oct 04 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.6.1-3mdk
- Use -ao esd,alsa,oss,arts,sdl,null and -vo xv,x11
  in mozzpluggerrc for mplayer.

* Sat Sep 18 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.6.1-2mdk
- updated enable_mozmimetypes to 1.1 (thanks to Pixel), so to avoid
  commeting/uncommenting of wrong blocks in triggers.
- added some mimetype to mozpluggerrc and fixed swallowing
  of gnumeric.

* Thu Aug 19 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.6.1-1mdk
- 1.6.1.

* Sun Jul 25 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.6.0-1mdk
- 1.6.0
- cosmetics

* Wed Apr 21 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.5.2-3mdk
- Fixed image/x-macpaint mime types in triggers.

* Thu Apr 08 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.5.2-2mdk
- Added Pixel's script to add/remove mimetypes from mozpluggerrc.

* Fri Apr 02 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.5.2-1mdk
- 1.5.2
- drop P1

* Mon Mar 01 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.5.0-3mdk
- Backported patches from version 1.5.1 to fix a regression bug.

* Thu Feb 05 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.5.0-2mdk
- Added gv, xpdf to Requires.

* Sun Jan 18 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.5.0-1mdk
- Release 1.5.0.
- Removed Patch0, merged upstream.

* Thu Dec 18 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.4.2-2mdk
- Added Patch0: removed -cache 100 (cause hang with mplayer sometimes), moved
  ooffice before soffice.

* Thu Dec 18 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.4.2-1mdk
- Release 1.4.2.
- Removed Patch0, merged upstream.
- Removed Patch5 (no longer needed).
- Removed Patch3 (lib64), merged upstream.
- Removed Patch4 (amd64), merged upstream.

* Mon Oct 20 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3.0-8mdk
- Really make sure it works on 64-bit platforms.

* Mon Oct 13 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3.0-7mdk
- Really make it work on amd64.

* Mon Oct 13 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3.0-6mdk
- lib64 fixes

* Fri Sep 12 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.3.0-5mdk
- Backported patch from 1.3.2 to fix a regression (so to find the
  the mozplugger helper in ~/.mozilla, ~/.netscape or ~/.opera).

* Tue Sep 02 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.3.0-4mdk
- Avoid "exits" in timidity entry, otherwise MIDI file is played only once.

* Tue Sep 02 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.3.0-3mdk
- Added Requires: TiMidiTy++.
- added text/rtf mime type, and use ooffice also to handle it.

* Sun Aug 31 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.3.0-2mdk
- Backported patches from 1.3.1: removed dead code & fixed problems with
  timidity.
- Use -vo xv,x11.
- Used by default mozplugger for application/pdf mime-type. Enabled 
  triggering for acroread-nppdf, and RealPlayer-rpnp package.

* Mon Jul 07 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.3.0-1mdk
- Release 1.3.0.
- Removed Patch1.
- Default plugin dir to %{_mozillapath}.

* Mon Jun 16 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.2.1-2mdk
- Fixed Patch0 (it wasn't totally merged in upstream!!).

* Mon Jun 16 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.2.1-1mdk
- Release 1.2.1
- quiet setup
- dropped P0, merged upstream
- regenerate P1

* Mon May 12 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.1.3-1mdk
- Release 1.1.3.

* Tue Feb 18 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.1.1-3mdk
- use noisy option for quicktime entry too.

* Tue Feb 18 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.1.1-2mdk
- Removed .bmp,.png from mozpluggerrc, because natively supported.
- Use noisy option.

* Mon Feb 17 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.1.1-1mdk
- Release: 1.1.1.
- Updated Patch0.
- Removed Patch2, now merged into main.

* Mon Feb 17 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.1-3mdk
- Removed preload from ogg entry in mozpluggerrc.
- Updated Patch2.
- Set path of mozilla.

* Sun Feb 16 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.1-2mdk
- Updated URL.

* Sun Feb 16 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.1-1mdk
- Release 1.1.

* Sat Feb 15 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0-1mdk
- Initial release ofn mozplugger 1.0.
- Readatped patches of previous plugger.

* Sat Dec 14 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 4.0-8mdk
- added application/x-maplyer2 to /etc/pluggerrc for .wmv files
- added mplayer in Requires:.

* Sat Sep 07 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 4.0-7mdk
- added audio/x-realaudio to /etc/pluggerrc.

* Sat Aug 31 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 4.0-6mdk
- added missed MPlayer in video/x-mpeg mime item of pluggerrc.

* Fri Aug 30 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 4.0-5mdk
- removed audio/x-pn-realaudio-plugin in pluggerrc (let the
  native rpnp.so plugin provide this if needed).
- added in /etc/pluggerrc: application/vnd.rn-realmedia, application/smil,
  audio/vnd.rn-realaudio, audio/x-pn-realaudio, video/vnd.rn-realvideo
  to be used with realplay.

* Wed Aug 28 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 4.0-4mdk
- Removed streaming for mtvp (video/x-mpeg) and mpg123 (audio/x-mp3) because
  streaming doesn't work under mozilla.
- Moved mtvp beyond xine and mplayer in video/x-mpeg.
- Let application/pdf, application/x-pdf be used with the acroread plugin
  because it works better than "swallowing".
- Added OpenOffice mime entries in pluggerrc (from RH).
- Added Typo & Description patches from RH.
- Added Patch4 for compiling with gcc 2.96 (but not yet enabled).
- Updated mozilla path.

* Sun Aug 04 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 4.0-3mdk
- Fixed path (bug #33) for new mozilla.

* Mon Jan 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 4.0-2mdk
- Remove dependency on netscape, since plugger can be user by mozilla
  and its derivate

* Sat Jan 26 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 4.0-1mdk
- updated to version 4.0.
- updated pluggerrc file.
- removed debug patch (Patch1).
- updated Patch2.
- added Patch3 (-mozilla), merged from RedHat.

* Sat Aug 26 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.3-1mdk
- updated to version 3.3.
- new pluggerrc file.

* Thu Jul 19 2001 Stefan van der Eijk <stefan@eijk.nu> 3.2-8mdk
- BuildRequires:	XFree86-devel
- Copyright --> License

* Wed Mar 14 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.2-7mdk
- removed debug.

* Fri Sep 29 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.2-6mdk
- more macros.
- removed xanim in Requires.

* Tue Aug 29 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.2-5mdk
- use of %%_mandir.

* Sat Apr 22 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.2-4mdk
- changed plugger debug file from /tmp/ndebug to $HOME/tmp/plugger-debug.
  so netscape doesn't crashes if /tmp/ndebug is already existing and
  not writeble (e.g. because owned by a different user).

* Fri Apr 21 2000 Denis Havlik <denis@mandrakesoft.com> 3.2-3mdk
- fixed "Requires:" (netscape-common -> netscape)

* Wed Apr 19 2000 Denis Havlik <denis@mandrakesoft.com> 3.2-2mdk
- spechelper, fixed release, 
- added "Obsoletes: npxanim"
- added "Requires: netscape-common xanim mikmod mpg123 sox ImageMagick"

* Wed Apr 19 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.2-1mdk
- initial build based on RedHat 3.2-2 version
- removed png from pluggerrc (netscape has native support for it).
- fixed group.
- added man page.

* Thu Jan 27 2000 Tim Powers <timp@redhat.com>
- fixed munged group, summary etc.

* Tue Nov 23 1999 Tim Powers <timp@redhat.com>
- updated to 3.2
- quiet scripts
- updated patch

* Sat Aug 21 1999 Bill Nottingham <notting@redhat.com>
- initial build
